LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
RelativeSize Struct Reference

Gives a position relative to some size defined by other means. More...

`import"RelativeSize.idl";`

## Public Attributes
double | Primary
| The extension in the primary direction. More...
double | Secondary
| The extension in the secondary direction. More...

## Detailed Description

Gives a position relative to some size defined by other means.

Values from 0 to 1 cover the entire reference rectangle. Values may also be greater than one, meaning a bigger size than the reference size. Negative values are not allowed.

## Member Data Documentation

## ◆ Primary

double Primary

The extension in the primary direction.

The direction is defined by the object using this point.

Typically, the direction is determined by an Orientation. Another typical use would be the direction of a given orientation-angle.

The values are relative to the page or an object. Values between 0 and 1 span the complete bounding rectangle of the page/object.

For a western Orientation this is the width.

## ◆ Secondary

double Secondary

The extension in the secondary direction.

The direction is defined by the object using this point.

Typically, the direction is determined by an Orientation. Another typical use would be the direction perpendicular to a given orientation-angle.

The values are relative to the page or an object. Values between 0 and 1 span the complete bounding rectangle of the page/object.

For a western Orientation this is the height.

The documentation for this struct was generated from the following file:

- com/sun/star/chart2/RelativeSize.idl